Index: m_stats.c
===================================================================
RCS file: /cvsroot/ircd-hybrid-7/modules/m_stats.c,v
retrieving revision 1.105
diff -u -r1.105 m_stats.c
--- m_stats.c	9 Jan 2002 16:19:14 -0000	1.105
+++ m_stats.c	14 Feb 2002 20:33:08 -0000
@@ -634,16 +634,18 @@
       ptr = target_p->localClient->confs.head;
       aconf = ptr->data;
 
-      sendto_one(source_p, ":%s %d %s :[O][%s] %s (%s@%s) Idle: %d",
+      sendto_one(source_p, ":%s %d %s :[%c][%s] %s (%s@%s) Idle: %d",
                  me.name, RPL_STATSDEBUG, source_p->name,
+                 IsOperAdmin(target_p) ? 'A' : 'O',
 		 oper_privs_as_string(target_p, aconf->port),
 		 target_p->name, target_p->username, target_p->host,
 		 (int)(CurrentTime - target_p->user->last));
     }
     else
     {
-      sendto_one(source_p, ":%s %d %s :[O] %s (%s@%s) Idle: %d",
+      sendto_one(source_p, ":%s %d %s :[%c] %s (%s@%s) Idle: %d",
                  me.name, RPL_STATSDEBUG, source_p->name,
+                 IsOperAdmin(target_p) ? 'A' : 'O',
 		 target_p->name, target_p->username, target_p->host,
 		 (int)(CurrentTime - target_p->user->last));
     }
